ZFS-LIST(8)

NAME
zfs-list - Lists the property information for the given datasets in tabular form.

SYNOPSIS
zfs list [-r|-d depth] [-Hp] [-o property[,property]...] [-s property]... [-S property]... [-t type[,type]...] [filesystem|volume|snapshot]...

DESCRIPTION

    zfs list [-r|-d depth] [-Hp] [-o property[,property]...] [-s property]... [-S property]... [-t type[,type]...] [filesystem|volume|snapshot]... If specified, you can list property information by the absolute pathname or the relative pathname. By default, all file systems and volumes are displayed. Snapshots are displayed if the listsnaps property is on (the default is off). The following fields are displayed: name, used, available, referenced, mountpoint.

    -H  Used for scripting mode. Do not print headers and separate fields by a single tab instead of arbitrary white space.

    -S property
        Same as the -s option, but sorts by property in descending order.

    -d depth
        Recursively display any children of the dataset, limiting the recursion to depth. A depth of 1 will display only the dataset and its direct children.

    -o property
        A comma-separated list of properties to display. The property must be:

        •   One of the properties described in the Native Properties section of zfsprops(8)

        •   A user property

        •   The value name to display the dataset name

        •   The value space to display space usage properties on file systems and volumes. This is a shortcut for specifying -o name,avail,used,usedsnap, usedds,usedrefreserv,usedchild -t filesystem,volume syntax.

    -p  Display numbers in parsable (exact) values.

    -r  Recursively display any children of the dataset on the command line.

    -s property
        A property for sorting the output by column in ascending order based on the value of the property. The property must be one of the properties described in the Properties section of zfsprops(8) or the value name to sort by the dataset name. Multiple properties can be specified at one time using multiple -s property options. Multiple -s options are evaluated from left to right in decreasing order of importance. The following is a list of sorting criteria:

        •   Numeric types sort in numeric order.

        •   String types sort in alphabetical order.

        •   Types inappropriate for a row sort that row to the literal bottom, regardless of the specified ordering.

        If no sorting options are specified the existing behavior of zfs list is preserved.

    -t type
        A comma-separated list of types to display, where type is one of filesystem, snapshot, volume, bookmark, or all. For example, specifying -t snapshot displays only snapshots.

SEE ALSO
zfs-get(8), zfsprops(8)